<!--
	application.xslt
-->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:mx="http://www.adobe.com/2006/mxml"
	version="1.0"
	>
<xsl:strip-space elements="*"/>
<xsl:output encoding="utf-8" method="text" media-type="text/plain" indent="no"/>
<xsl:output cdata-section-elements="string style script"/>
<xsl:param name="application">JFCT 0.1</xsl:param>
<xsl:param name="filename">Unknown</xsl:param>

<xsl:template match="application">/*  Copyright 2008 Teppefall (<xsl:value-of select="$application"/>) */
import java.awt.*;
import java.security.*;
import javax.swing.*;
import com.teppefall.ds.Application;
import com.teppefall.ds.console.Console;
import com.teppefall.ds.layout.jxml.Assembly;
import com.teppefall.ds.layout.jxml.Importer;

public class <xsl:value-of select="$filename"/> extends Application {
	static {
		try {
			<xsl:if test="rootContent/@systemChrome = 'standard'">System.setProperty("teppefall.chrome", "true"); // IGNORED systemCrome "standard"</xsl:if>
			<xsl:if test="rootContent/@systemChrome != 'standard'">System.setProperty("teppefall.chrome", "true");</xsl:if>
			<xsl:if test="rootContent/@transparent = 'true'">
			// Transparency not supported.
			</xsl:if>
		}
		catch(AccessControlException e) {
			Console.warn(<xsl:value-of select="$filename"/>.class, e);
		}
	}
	public <xsl:value-of select="$filename"/>(String args[]) {
		super(
			"<xsl:value-of select="properties/name"/>",
			"<xsl:value-of select="properties/publisher"/>",
			"http://changeme.teppefall.com",
			args,
			new Dimension(400, 400) // skiftes senere
		);
		Console.info(this, "<xsl:value-of select="properties/copyright"/> - <xsl:value-of select="properties/description"/>");
		setVersion("<xsl:value-of select="@version"/>");
		setBuild("0");
		String filename = "<xsl:value-of select="@appId"/>.jxml";
		Assembly assembly = Importer.decode(getClass(), filename);
		if(assembly != null)
		getApplicationFrame().getContentPane().add(assembly.getPanel(), BorderLayout.CENTER);
		else
		getApplicationFrame().getContentPane().add(new JLabel(filename + " failed to initialize"), BorderLayout.CENTER);
		<xsl:if test="rootContent/@visible = 'true'">showApplication();</xsl:if>
		<xsl:apply-templates/>
	}
	protected void processArguments(String args[]) {
		super.processArguments(args);
	}
	public static void main(String[] args) {
	    Application.launch(<xsl:value-of select="$filename"/>.class, args);
	}
}
</xsl:template>

<xsl:template match="properties | rootContent | icon"/>


</xsl:stylesheet>
